Skip to content
The API may change between versions while TTX-Zone is 0.x.

Actor catalog

GET
/api/v1/actor-catalog
curl --request GET \
--url https://example.com/api/v1/actor-catalog \
--cookie ttx_access_token=<ttx_access_token>

TTX-Zone’s own actors, both languages: read-only, duplicable.

Successful Response

Media typeapplication/json
SystemActorListResponse
object
items
required
Items
Array<object>
SystemActorRead
object
channel
required
DeliveryMethod
string
Allowed values: email phone chat ticket security_tool in_person briefing media document
default
required
Default
boolean
description_en
required
Description En
string
description_es
required
Description Es
string
id
required
Id
string
name_en
required
Name En
string
name_es
required
Name Es
string
type
required
ActorType
string
Allowed values: soc csirt authority media supplier customer threat_actor internal other

Example

{
"items": [
{
"channel": "email",
"type": "soc"
}
]
}